> For the complete documentation index, see [llms.txt](https://docs.cmsfullform.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cmsfullform.com/documents/helpers.md).

# Helpers

The `Helpers` directory in PHPFast contains utility functions that simplify common tasks and operations within the framework. These helpers are designed to make everyday development tasks more efficient by providing pre-built, reusable functions for tasks like string manipulation, URL generation, input validation, and form handling. By using these helpers, developers can save time and reduce code duplication, ensuring their applications are cleaner and easier to maintain. The `Helpers` directory offers a set of tools that can be easily integrated throughout the application, allowing for quicker and more effective development.

## Helpers

* [Uri\_helper](/documents/helpers/uri_helper.md)
* [Core\_helper](/documents/helpers/core_helper.md)
* [Security\_helper](/documents/helpers/security_helper.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cmsfullform.com/documents/helpers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
